Debian Bug report logs - #589326
live-boot: circular dependency with live-boot-initramfs-tools

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Bill Allombert <ballombe@debian.org>

Date: Fri, 16 Jul 2010 17:21:01 UTC

Severity: important

Found in version live-boot/2.0~a13-1

Fixed in version live-boot/2.0~a14-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#589326; Package live-boot. (Fri, 16 Jul 2010 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 16 Jul 2010 17:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: live-boot: circular dependency with live-boot-initramfs-tools
Date: Fri, 16 Jul 2010 19:18:15 +0200
Package: live-boot
Version: 2.0~a13-1
Severity: important

Hello Debian Live Project,

There is a circular dependency between live-boot and live-boot-initramfs-tools:

live-boot 	:Depends: live-boot-initramfs-tools
live-boot-initramfs-tools 	:Depends: live-boot (>= 2.0~a13-1)

Circular dependencies are known to cause problems during upgrade, so we
should try to get rid of them.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#589326; Package live-boot. (Fri, 16 Jul 2010 18:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 16 Jul 2010 18:09:12 GMT) Full text and rfc822 format available.

Message #10 received at 589326@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 589326-submitter@bugs.debian.org
Cc: 589326@bugs.debian.org
Subject: Re: live-boot: circular dependency with live-boot-initramfs-tools
Date: Fri, 16 Jul 2010 20:04:48 +0200
tag 589326 pending
thanks

fixed in git, upload later today...

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 18:09:14 GMT) Full text and rfc822 format available.

Message sent on to Bill Allombert <ballombe@debian.org>:
Bug#589326. (Fri, 16 Jul 2010 18:09:23 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 16 Jul 2010 22:51:20 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Fri, 16 Jul 2010 22:51:20 GMT) Full text and rfc822 format available.

Message #20 received at 589326-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 589326-close@bugs.debian.org
Subject: Bug#589326: fixed in live-boot 2.0~a14-1
Date: Fri, 16 Jul 2010 22:47:33 +0000
Source: live-boot
Source-Version: 2.0~a14-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-initramfs-tools_2.0~a14-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_2.0~a14-1_all.deb
live-boot_2.0~a14-1.diff.gz
  to main/l/live-boot/live-boot_2.0~a14-1.diff.gz
live-boot_2.0~a14-1.dsc
  to main/l/live-boot/live-boot_2.0~a14-1.dsc
live-boot_2.0~a14-1_all.deb
  to main/l/live-boot/live-boot_2.0~a14-1_all.deb
live-boot_2.0~a14.orig.tar.gz
  to main/l/live-boot/live-boot_2.0~a14.orig.tar.gz
live-initramfs_2.0~a14-1_all.deb
  to main/l/live-boot/live-initramfs_2.0~a14-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589326@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 17 Jul 2010 00:37:33 +0200
Source: live-boot
Binary: live-boot live-boot-initramfs-tools live-initramfs
Architecture: source all
Version: 2.0~a14-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
 live-initramfs - Debian Live - System Boot Scripts (transitional package)
Closes: 589326
Changes: 
 live-boot (2.0~a14-1) unstable; urgency=low
 .
   * Improving backend dependencies (Closes: #589326).
Checksums-Sha1: 
 47b6c470d9e75d9d4e3f03e7989f744b1b237aa0 1246 live-boot_2.0~a14-1.dsc
 d0a63b097a8683c04bd17ba4d5ee64458ef91daf 104770 live-boot_2.0~a14.orig.tar.gz
 23c299bbfcf660b4601690f40514e2d57105bb26 16448 live-boot_2.0~a14-1.diff.gz
 09188aff9b9a3125e1bc5a3221969aa72b374610 73230 live-boot_2.0~a14-1_all.deb
 c5350ba728055cf773447802fbfe9872ea443fde 26976 live-boot-initramfs-tools_2.0~a14-1_all.deb
 96d50e7f28271dcf5a55339e0934fea937a6a2e2 3404 live-initramfs_2.0~a14-1_all.deb
Checksums-Sha256: 
 6fb73f23af333ff485743f7f425896d6e76a669a5862d85e484092671938f903 1246 live-boot_2.0~a14-1.dsc
 adcfbb44abbb613d5b0095ded2434d7bf3a4fb7a530d5236826aced67bc704ad 104770 live-boot_2.0~a14.orig.tar.gz
 cfa3b20331b5d31d103670723884967ad521b94f6a6279ca6adb876f17ead907 16448 live-boot_2.0~a14-1.diff.gz
 8f1b0f86863968f9f8599946c90bc6556d1b2aa8d359b6a3f692c820555266f9 73230 live-boot_2.0~a14-1_all.deb
 b6752772fb78401a2c8d19e7ccf02163e7667392f0fb73ae333dfec579ad79b2 26976 live-boot-initramfs-tools_2.0~a14-1_all.deb
 7a254521d57a0c6bd6bc107388eea255a6458c14f9cbc4c88751dcf26bca9736 3404 live-initramfs_2.0~a14-1_all.deb
Files: 
 649bf6caa5eeeea54b3509ab35835d80 1246 misc optional live-boot_2.0~a14-1.dsc
 1bf8627cbe85b295ec63a3c29d127350 104770 misc optional live-boot_2.0~a14.orig.tar.gz
 e8e4ea83645ea212f8515580ff30084c 16448 misc optional live-boot_2.0~a14-1.diff.gz
 12bfdb41b2cc1b5ac90aa42dcb469fc6 73230 misc optional live-boot_2.0~a14-1_all.deb
 d134eec874c15f65cb2403e3b24445d9 26976 misc optional live-boot-initramfs-tools_2.0~a14-1_all.deb
 922bc89a62d1e7e099f45175c73976b6 3404 misc optional live-initramfs_2.0~a14-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxA38IACgkQ+C5cwEsrK54ZfQCgn+ARr0f/NH2tBXxW8WLlPVZ5
SzwAmQGqt3LDQjaCidc0ZIAvQtD0sMbf
=0m6z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Aug 2010 07:33:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:20:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.